summaryrefslogtreecommitdiffstats
path: root/patches/source/bluez/config/rc.bluetooth
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/bluez/config/rc.bluetooth')
-rw-r--r--patches/source/bluez/config/rc.bluetooth29
1 files changed, 29 insertions, 0 deletions
diff --git a/patches/source/bluez/config/rc.bluetooth b/patches/source/bluez/config/rc.bluetooth
new file mode 100644
index 000000000..296c45422
--- /dev/null
+++ b/patches/source/bluez/config/rc.bluetooth
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+bluez_start() {
+ /usr/sbin/bluetoothd
+}
+
+bluez_stop() {
+ udevadm trigger --subsystem-match=bluetooth --action=remove
+ pkill -TERM bluetoothd 1>/dev/null 2>/dev/null
+}
+
+case "$1" in
+ start)
+ bluez_start
+ ;;
+ stop)
+ bluez_stop
+ ;;
+ restart)
+ bluez_stop
+ sleep 1
+ bluez_start
+ ;;
+ *)
+ printf "Usage: $N {start|stop|restart}\n"
+ exit 1
+ ;;
+esac
+